@echo off

if exist gs3-setup.bat goto start
  echo This script must be run from within the Greenstone 3 home directory
  goto exit

:start
:: ---- Set the GSDL3HOME variable to the current directory ----
cd | winutil\setvar.exe GSDL3HOME > setgsdl3.bat
call setgsdl3.bat
del setgsdl3.bat
echo GSDL3HOME: %GSDL3HOME%

:: ---- Set other important environment variables ----
set GSDLOS=windows
set PATH=%PATH%;%GSDL3HOME%\bin;%GSDL3HOME%\bin\script;%GSDL3HOME%\lib

:: ---- Set the CLASSPATH environment variable ----
set CLASSPATH=%GSDL3HOME%\resources\java;%GSDL3HOME%\resources\dtd;%GSDL3HOME%\src\java;%CATALINA_HOME%\common\lib\servlet.jar
cd %GSDL3HOME%\lib\java
if exist setcp.bat del setcp.bat
for %%j in (*.jar) do echo set CLASSPATH=%%CLASSPATH%%;%GSDL3HOME%\lib\java\%%j>> setcp.bat
call setcp.bat
del setcp.bat
echo CLASSPATH: %CLASSPATH%

cd %GSDL3HOME%

:exit
